"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "any", {
  enumerable: true,
  get: function () {
    return _characterClass.any;
  }
});
Object.defineProperty(exports, "anyOf", {
  enumerable: true,
  get: function () {
    return _characterClass.anyOf;
  }
});
Object.defineProperty(exports, "buildPattern", {
  enumerable: true,
  get: function () {
    return _builders.buildPattern;
  }
});
Object.defineProperty(exports, "buildRegex", {
  enumerable: true,
  get: function () {
    return _builders.buildRegex;
  }
});
Object.defineProperty(exports, "capture", {
  enumerable: true,
  get: function () {
    return _capture.capture;
  }
});
Object.defineProperty(exports, "characterClass", {
  enumerable: true,
  get: function () {
    return _characterClass.characterClass;
  }
});
Object.defineProperty(exports, "characterRange", {
  enumerable: true,
  get: function () {
    return _characterClass.characterRange;
  }
});
Object.defineProperty(exports, "choiceOf", {
  enumerable: true,
  get: function () {
    return _choiceOf.choiceOf;
  }
});
Object.defineProperty(exports, "digit", {
  enumerable: true,
  get: function () {
    return _characterClass.digit;
  }
});
Object.defineProperty(exports, "endOfString", {
  enumerable: true,
  get: function () {
    return _anchors.endOfString;
  }
});
Object.defineProperty(exports, "inverted", {
  enumerable: true,
  get: function () {
    return _characterClass.inverted;
  }
});
Object.defineProperty(exports, "oneOrMore", {
  enumerable: true,
  get: function () {
    return _quantifiers.oneOrMore;
  }
});
Object.defineProperty(exports, "optionally", {
  enumerable: true,
  get: function () {
    return _quantifiers.optionally;
  }
});
Object.defineProperty(exports, "repeat", {
  enumerable: true,
  get: function () {
    return _repeat.repeat;
  }
});
Object.defineProperty(exports, "startOfString", {
  enumerable: true,
  get: function () {
    return _anchors.startOfString;
  }
});
Object.defineProperty(exports, "whitespace", {
  enumerable: true,
  get: function () {
    return _characterClass.whitespace;
  }
});
Object.defineProperty(exports, "word", {
  enumerable: true,
  get: function () {
    return _characterClass.word;
  }
});
Object.defineProperty(exports, "zeroOrMore", {
  enumerable: true,
  get: function () {
    return _quantifiers.zeroOrMore;
  }
});
var _builders = require("./builders");
var _anchors = require("./components/anchors");
var _capture = require("./components/capture");
var _characterClass = require("./components/character-class");
var _choiceOf = require("./components/choice-of");
var _quantifiers = require("./components/quantifiers");
var _repeat = require("./components/repeat");
//# sourceMappingURL=index.js.map