import type { RegexElement, RegexNode, RegexSequence } from '../types';
export interface OneOrMore extends RegexElement {
    type: 'oneOrMore';
    children: RegexNode[];
}
export interface Optionally extends RegexElement {
    type: 'optionally';
    children: RegexNode[];
}
export interface ZeroOrMore extends RegexElement {
    type: 'zeroOrMore';
    children: RegexNode[];
}
export declare function oneOrMore(sequence: RegexSequence): OneOrMore;
export declare function optionally(sequence: RegexSequence): Optionally;
export declare function zeroOrMore(sequence: RegexSequence): ZeroOrMore;
//# sourceMappingURL=quantifiers.d.ts.map