import type { RegexElement, RegexNode, RegexSequence } from '../types';
export interface Repeat extends RegexElement {
    type: 'repeat';
    options: RepeatOptions;
    children: RegexNode[];
}
export type RepeatOptions = {
    count: number;
} | {
    min: number;
    max?: number;
};
export declare function repeat(options: RepeatOptions, sequence: RegexSequence): Repeat;
//# sourceMappingURL=repeat.d.ts.map