/// <reference types="jest" />
import type { RegexSequence } from '../src/types';
export declare function toHavePattern(this: jest.MatcherContext, received: RegExp | RegexSequence, expected: RegExp): {
    pass: boolean;
    message: () => string;
};
declare global {
    namespace jest {
        interface Matchers<R, T = {}> {
            toHavePattern(expected: RegExp): R;
        }
    }
}
//# sourceMappingURL=to-have-pattern.d.ts.map